Bug 1448842 - Installing Openshift Container Platform 3.5 returns an error on Play 11/28 (Disable excluders)
Summary: Installing Openshift Container Platform 3.5 returns an error on Play 11/28 (D...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Jan Chaloupka
QA Contact: Wenkai Shi
URL:
Whiteboard:
: 1450441 (view as bug list)
Depends On:
Blocks: 1450412 1450415
TreeView+ depends on / blocked
 
Reported: 2017-05-08 11:34 UTC by Jaspreet Kaur
Modified: 2017-05-17 17:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When performing a containerized installation without setting openshift_image_tag the latest image was used to determine the correct version of the product to install. The latest tag may point at different releases based on whichever version was pushed most recently. Because of this we've modified the installer to default to the 'v3.5' tag when running the 3.5 installer so that we're sure to get the latest v3.5 release.
Clone Of:
: 1450412 (view as bug list)
Environment:
Last Closed: 2017-05-17 17:40:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1244 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-05-25 21:43:49 UTC

Description Jaspreet Kaur 2017-05-08 11:34:02 UTC
Description of problem: When running `atomic-openshift-installer install`, it fails at Play 11/28 (Disable excluders).

Installers seems to be expecting a `atomic-openshift-docker-excluder-3.2.1.31` package when there is none installed. The package that is installed is `atomic-openshift-excluder-3.5.5.8-1`. (See screenshot 1)



Version-Release number of selected component (if applicable):

atomic-openshift-installer -u install


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: Fails on installation


Expected results: It should have installed correctly


Additional info:

Comment 7 Scott Dodson 2017-05-11 19:29:54 UTC
I think the problem here is that we're defaulting to the latest image when neither openshift_image_tag nor openshift_release are set. I think this will fix it and we need to apply the same fix on other branches too.

https://github.com/openshift/openshift-ansible/pull/4166

Comment 8 Scott Dodson 2017-05-12 15:10:47 UTC
*** Bug 1450441 has been marked as a duplicate of this bug. ***

Comment 10 Wenkai Shi 2017-05-15 05:45:30 UTC
Verified with version atomic-openshift-utils-3.5.71-1.git.0.128c2db.el7, installation succeed with correct tag.

# atomic-openshift-installer -u install
...
Play 10/28 (Disable excluders)
....................................
...
............................
localhost                  : ok=12   changed=0    unreachable=0    failed=0   
openshift.example.com      : ok=733  changed=165  unreachable=0    failed=0   


Installation Complete: Note: Play count is only an estimate, some plays may have been skipped or dynamically added
...

Comment 12 errata-xmlrpc 2017-05-17 17:40:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1244


Note You need to log in before you can comment on or make changes to this bug.